# IRfWindowsManagerSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateXPPopupWindow ([out, retval] IRsXPWinPopup **ppPopupWindow)
HRESULT | SaveAsLayoutFile ([in] BSTR bstrFileName,[in] BSTR bstrAuthor,[in] BSTR bstrDescr,[in] IRdBitmap *pThumbnail,[in] IRsNode *pLayoutObj)
HRESULT | SaveLayoutNode ([in] IRsFileHandle *pRsFileHandle,[in] IRsNode *pLayoutObj)
HRESULT | LoadObjectFromRsObjChunk ([in] BSTR bstrFileName,[out] IRsNode **ppNode)
HRESULT | CreateMainMenuAspectToolbar ([in]IRsNode *pViewNode)
HRESULT | GetFramePropertiesNode ([out, retval] IRsNode **ppNode)
HRESULT | CreateFramePropertiesNode ([out, retval] IRsNode **ppNode)
HRESULT | GetFramePropertiesRect ([in] BSTR bstrWinID,[out, retval] RECT *pRect)
HRESULT | SetFramePropertiesRect ([in] BSTR bstrWinID,[in] RECT rect)

## Detailed Description

IRfWindowsManagerSet.

## Member Function Documentation

HRESULT IRfWindowsManagerSet::CreateXPPopupWindow | ( | [out, retval] IRsXPWinPopup ** | ppPopupWindow | ) |

CreateXPPopupWindow

Returns:
  ppPopupWindow [out,retval] .

HRESULT IRfWindowsManagerSet::SaveAsLayoutFile | ( | [in] BSTR | bstrFileName,
|  | [in] BSTR | bstrAuthor,
|  | [in] BSTR | bstrDescr,
|  | [in] IRdBitmap * | pThumbnail,
|  | [in] IRsNode * | pLayoutObj |
| ) |  |  |

Save object into specified layout file.

Parameters:

  | bstrFileName | [in] Desired filename.
  | bstrAuthor | [in] Author of the file.
  | bstrDescr | [in] File description.
  | pThumbnail | [in] Thumbnail.
  | pLayoutObj | [in] Layout to save.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::SaveLayoutNode | ( | [in] IRsFileHandle * | pRsFileHandle,
|  | [in] IRsNode * | pLayoutObj |
| ) |  |  |

Save layout object into specified file.

Parameters:

  | pRsFileHandle | [in] File handle.
  | pLayoutObj | [in] Layout to save.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::LoadObjectFromRsObjChunk | ( | [in] BSTR | bstrFileName,
|  | [out] IRsNode ** | ppNode |
| ) |  |  |

Load first node from specified file.

Parameters:

  | bstrFileName | [in] File name.
  | ppNode | [out] Returns loaded node.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::CreateMainMenuAspectToolbar | ( | [in] IRsNode * | pViewNode | ) |

Create main menu aspect toolbar - Menu in frame window title bar.

Parameters:

  | pViewNode | [in] Frame window which will contain main menu.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::GetFramePropertiesNode | ( | [out, retval] IRsNode ** | ppNode | ) |

Gets frame window properties node.

Returns:
  ppNode [out, retval] Pointer to variable that retrieves frame window properties node.

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::CreateFramePropertiesNode | ( | [out, retval] IRsNode ** | ppNode | ) |

Create frame window properties node.

Returns:
  ppNode [out, retval] Pointer to variable that retrieves frame window properties node.

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::GetFramePropertiesRect | ( | [in] BSTR | bstrWinID,
|  | [out, retval] RECT * | pRect |
| ) |  |  |

Gets frame window properties of frame window specified by iid of viewer attached to frame.

Parameters:

  | bstrWinID | [in] iid of viewer attached to frame window which properties should be retrieved.

Returns:
  pRect [out, retval] Pointer to variable that retrieves frame window rectangle.

  Standard HRESULT processing can be applied to the result.

HRESULT IRfWindowsManagerSet::SetFramePropertiesRect | ( | [in] BSTR | bstrWinID,
|  | [in] RECT | rect |
| ) |  |  |

Sets frame window properties of frame window specified by its ID.

Parameters:

  | bstrWinID | [in] iid of frame window which properties should be retrieved.
  | rect | [in] Rectangle of frame window. In pixels. In primary monitor coordinates.

Returns:
  Standard HRESULT processing can be applied to the result.